<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>tip_vi</title>
</head>
<body>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">Adwatch sms start test</td></tr>
</thead><tbody>
<tr>
	<td>open</td>
	<td>/clearCookies.htm</td>
 	<td></td>
</tr>
<tr>
	<td>open</td>
	<td>/selenium-core/bCmd.php?make=regress-adcodes</td>
	<td></td>
</tr>
<tr>
	<td>open</td>
	<td>/adwatch/presentation/0?ca=11_s</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=Ny bevakning</td>
	<td></td>
</tr>
<tr>
	<td>type</td>
	<td>searchtext</td>
	<td>damcykel</td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>searchbutton</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>//input[@value='Spara bevakningen']</td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=SMS-bevaka</td>
	<td></td>
</tr>
<tr>
	<td>waitForVisible</td>
	<td>sms_code</td>
	<td></td>
</tr>
<tr>
	<td>storeText</td>
	<td>sms_code</td>
	<td>sms_code</td>
</tr>
<tr>
	<td>verifyTextPresent</td>
	<td>Pris 3 kr/SMS</td>
	<td></td>
</tr>
<tr>
	<td>open</td>
	<td>/adwatch/list/0?query_id=1&amp;sms=1</td>
	<td></td>
</tr>
<tr>
	<td>verifyText</td>
	<td>sms_code</td>
	<td>${sms_code}</td>
</tr>
<tr>
	<td>open</td>
	<td>/unwire_sms_sim</td>
	<td></td>
</tr>
<tr>
	<td>type</td>
	<td>sender</td>
	<td>46733552800</td>
</tr>
<tr>
	<td>type</td>
	<td>text</td>
	<td>START ${sms_code}</td>
</tr>
<tr>
	<td>click</td>
	<td>//input[@value='Skicka']</td>
	<td></td>
</tr>
<tr>
	<td>waitForTextPresent</td>
	<td>cmd=asynch-no-trace</td>
	<td></td>
</tr>
<!-- XXX add template ok check here, NYI -->
<!-- Sub-part: Check that we can't start SMS watch if the result set is too large -->
<tr>
	<td>open</td>
	<td>/adwatch?ca=11_s</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=Ny bevakning</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>//input[@value='Spara bevakningen']</td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=SMS-bevaka</td>
	<td></td>
</tr>
<tr>
	<td>waitForVisible</td>
	<td>sms_resultset_too_large</td>
	<td></td>
</tr>
<tr>
	<td>verifyNotVisible</td>
	<td>sms_code</td>
	<td></td>
</tr>
<!-- Test pause and unpause when editing existing SMS adwatch -->
<tr>
</table>
</body>
</table>
